Skip to main content
GET
List delegations

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
number

Page number

Required range: x >= 1
Example:

1

limit
number

Number of items per page

Required range: 1 <= x <= 100
Example:

10

tenantId
string
required

Tenant ID

Example:

"105fa115-52d0-4466-baff-740447a60774"

status
enum<string>[]

Comma separated Delegation Status values

Available options:
DRAFT,
PENDING,
ISSUED,
ACCEPTED,
REJECTED,
SUSPENDED,
REVOKED,
EXPIRED,
ARCHIVED,
DELETED

Delegation search string

Example:

""

section
string[]

Comma separated Section IDs

Example:

null

category
string[]

Comma separated Category IDs

Example:

null

sortBy
enum<string>

Criteria for sorting Delegations

Available options:
delegationDisplayId,
decisionName,
sectionName,
categoryName,
status,
updatedAt,
expirationDate,
authorityLimitSortPrecedence,
rank,
issuedDate,
effectiveDate,
acceptedDate,
createdAt
sortOrder
enum<string>

Order for sorting Delegations

Available options:
asc,
desc
groupIds
string[]

Comma separated Group IDs

Example:

null

positionIds
string[]

Comma separated Position IDs

Example:

null

redelegable
boolean

Redelegable filter

Example:

true

isInvalid
boolean

Invalid delegations filter (Delegations with alerts)

Example:

true

authorityTypeIds
string[]

Comma separated Authority Type IDs

Example:

null

authorityLimitValueTypes
enum<string>[]

Comma separated Authority Value Types

Available options:
Currency,
Number,
Days,
Months,
Years,
Authorized,
Percentage
authorityLimitValueFilters
object[]

Authority Limit Value Filters

select
enum<string>[]

Comma separated specific Delegation fields needed in response

Available options:
DELEGATION_ID,
DELEGATION_DISPLAY_ID,
SOURCE_DECISION,
DECISION_NAME,
DECISION_ID,
SECTION_ID,
SECTION_NAME,
CATEGORY_ID,
CATEGORY_NAME,
STATUS,
ISSUED_DATE,
EFFECTIVE_DATE,
EXPIRATION_DATE,
ACCEPTED_DATE,
UPDATED_AT,
CREATED_AT,
REDELEGABLE,
CONDITIONS,
IS_INVALID,
INVALID_FIELDS,
ISSUER_TYPE,
ISSUER_USER_ID,
ISSUER_POSITION_ID,
RECIPIENT_TYPE,
RECIPIENT_USER_ID,
RECIPIENT_POSITION_ID,
AUTHORITY_TYPE_ID,
AUTHORITY_LIMIT,
AUTHORITY_LIMIT_VALUE_TYPE,
AUTHORITY_LIMIT_OPERATOR,
AUTHORITY_LIMIT_VALUE,
AUTHORITY_LIMIT_VALUE_UNIT,
DELEGATION_GROUPS,
DELEGATION_AUTHORITIES,
DELEGATION_RECIPIENTS,
DELEGATION_ROLES,
DELEGATION_CONDITIONS
fetchOnlyOwnDelegations
boolean

If true, only returns delegations for which current user is issuer/recipient

Example:

true

issuerType
object

Delegation issuer type

issuerUserId
string

Delegation issuer user id

Example:

"648fa115-52d0-4466-baff-740447a60774"

issuerPositionId
string

Delegation issuer position id

Example:

"257fa115-52d0-4466-baff-740447a60774"

roles
string[]

Comma separated Role IDs

Example:

null

conditions
boolean

Conditions filter

Example:

true

issuedStartDate
string

Start date time for date range filter on delegation issued date

Example:

"2025-03-05T11:49:50.577Z"

issuedEndDate
string

End date time for date range filter on delegation issued date

Example:

"2025-03-05T11:49:50.577Z"

updatedStartDate
string

Start date time for date range filter on delegation updated date

Example:

"2025-03-05T11:49:50.577Z"

updatedEndDate
string

End date time for date range filter on delegation updated date

Example:

"2025-03-05T11:49:50.577Z"

effectiveStartDate
string

Start date time for date range filter on delegation effective date

Example:

"2025-03-05T11:49:50.577Z"

effectiveEndDate
string

End date time for date range filter on delegation effective date

Example:

"2025-03-05T11:49:50.577Z"

acceptedStartDate
string

Start date time for date range filter on delegation accepted date

Example:

"2025-03-05T11:49:50.577Z"

acceptedEndDate
string

End date time for date range filter on delegation accepted date

Example:

"2025-03-05T11:49:50.577Z"

expiredStartDate
string

Start date time for date range filter on delegation expired date

Example:

"2025-03-05T11:49:50.577Z"

expiredEndDate
string

End date time for date range filter on delegation expired date

Example:

"2025-03-05T11:49:50.577Z"

issuers
object

Issuers Filters

recipients
object

Recipients Filters

decisions
string[]

Comma separated Decision IDs

Example:

null

isRootDelegation
boolean

Root Delegation filter

Example:

true

invalidFields
string[]

Comma separated Delegation Invalid Fields

issuerTypes
object[]

Comma separated Delegation issuer types values

recipientTypes
object[]

Comma separated Delegation recipient types values

userIds
string[]

Comma separated User IDs

Example:

null

Response

200 - application/json

Delegations list retrieved successfully

statusCode
number
required
Example:

200

timestamp
string
required
Example:

"2026-01-08T06:33:50.693Z"

message
string
required
Example:

"Success"

data
object